[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTreeView.OnSelectionChanged

Event handler signalled when the selection in the tree view control is changed.

## Declaration

Source position: comctrls.pp line 3692

`protected property TCustomTreeView.OnSelectionChanged : TNotifyEvent read FOnSelectionChanged write FOnSelectionChanged;`

## Description

OnSelectionChanged is a TNotifyEvent property with the event handler signalled when the selection for the control has been changed. OnSelectionChanged is signalled (when assigned) from the DoSelectionChanged method, and occurs after the value in Selection has been updated. It also occurs when the value in MultiSelected is changed.